 lib/DiffractionImage/DiffractionImageCBF.cpp |    8 ++--
 lib/DiffractionImage/MAR/Makefile.am         |    3 +-
 lib/DiffractionImage/MAR/marcif.c            |    3 +-
 lib/DiffractionImage/Makefile.am             |   68 +++++++++++++++-----------
 lib/DiffractionImage/configure               |    5 +--
 lib/DiffractionImage/configure.in            |    7 +--
 lib/src/Makefile.in                          |    2 +-
 lib/ssm/Makefile.am                          |   10 ++--
 lib/ssm/configure.ac                         |   30 ++---------
 src/pisa/Makefile.am                         |    5 +-
 src/pisa/configure.ac                        |   30 ++----------
 src/rapper/Makefile.am                       |    2 +-
 src/rapper/configure.ac                      |    2 +-
 13 files changed, 70 insertions(+), 105 deletions(-)

diff --git a/lib/DiffractionImage/DiffractionImageCBF.cpp b/lib/DiffractionImage/DiffractionImageCBF.cpp
index 69b32b0..602e35f 100755
--- a/lib/DiffractionImage/DiffractionImageCBF.cpp
+++ b/lib/DiffractionImage/DiffractionImageCBF.cpp
@@ -6,10 +6,10 @@
 // images.
 
 #include "DiffractionImage.h"
-#include "cbf.h"
-#include "cbf_simple.h" 
-#include "cbf_string.h"
-#include "cbf_byte_offset.h"
+#include <cbflib/cbf.h>
+#include <cbflib/cbf_simple.h>
+#include <cbflib/cbf_string.h>
+#include <cbflib/cbf_byte_offset.h>
 
 
 using namespace std;
diff --git a/lib/DiffractionImage/MAR/Makefile.am b/lib/DiffractionImage/MAR/Makefile.am
index fedb7ac..89a048e 100755
--- a/lib/DiffractionImage/MAR/Makefile.am
+++ b/lib/DiffractionImage/MAR/Makefile.am
@@ -2,7 +2,7 @@ AUTOMAKE_OPTIONS = gnu
 
 noinst_LTLIBRARIES = libmar.la
 
-AM_CPPFLAGS =-I../CBFlib/src -I../CBFlib/include
+AM_CPPFLAGS =
 
 libmar_la_SOURCES = mar300_header.c \
 		    mar345_header.c \
@@ -12,4 +12,3 @@ libmar_la_SOURCES = mar300_header.c \
 		    utils.c \
 		    pck.c
 
-libmar_la_LDFLAGS = -static
diff --git a/lib/DiffractionImage/MAR/marcif.c b/lib/DiffractionImage/MAR/marcif.c
index d3f4212..2c37108 100755
--- a/lib/DiffractionImage/MAR/marcif.c
+++ b/lib/DiffractionImage/MAR/marcif.c
@@ -31,8 +31,7 @@
 #include "marcif_header.h"
 #include "mar345_header.h"
 
-#include <cbf.h>
-#include <img.h>
+#include <cbflib/cbf.h>
 
 #define printe(x) 	printf("%s: %s: %s\n",prg,f,x)
 #undef cbf_failnez
diff --git a/lib/DiffractionImage/Makefile.am b/lib/DiffractionImage/Makefile.am
index 189a1d7..6652576 100755
--- a/lib/DiffractionImage/Makefile.am
+++ b/lib/DiffractionImage/Makefile.am
@@ -1,7 +1,9 @@
 AUTOMAKE_OPTIONS = gnu
-SUBDIRS = CBFlib Bruker MAR Rigaku jpg
+SUBDIRS = Bruker MAR Rigaku
 
-AM_CPPFLAGS =-I./MAR -I./CBFlib/src -I./CBFlib/include -I./jpg
+SYSLIBS = -ljpeg -lcbf
+
+AM_CPPFLAGS =-I./MAR
 lib_LTLIBRARIES = libDiffImage.la 
 
 if WANT_PYTHONMOD
@@ -35,48 +37,56 @@ libDiffImage_la_SOURCES =	DiffractionImageJpeg.cpp \
 							Profile.cpp \
 							Peak.cpp \
 							dps_peaksearch_cn.c 
-libDiffImage_la_LDFLAGS = -static
+libDiffImage_la_LDFLAGS = -shared $(SHARED_LIB_FLAGS)
+libDiffImage_la_LIBADD = $(SYSLIBS) \
+                         ./MAR/libmar.la ./Bruker/libbruker.la \
+                         ./Rigaku/librigaku.la
 
-libDiffractionImage_la_DEPENDENCIES= libDiffImage.la ./CBFlib/src/libcbf.la \
+libDiffractionImage_la_DEPENDENCIES= libDiffImage.la \
                                      ./Bruker/libbruker.la ./MAR/libmar.la \
-                                     ./Rigaku/librigaku.la ./jpg/libjpeg.la
+                                     ./Rigaku/librigaku.la
 libDiffractionImage_la_SOURCES =  DiffractionImageTclInterface.cpp
-libDiffractionImage_la_LDFLAGS = -shared --whole-archive libDiffImage.la \
-                                 ./CBFlib/src/libcbf.la ./Bruker/libbruker.la \
-				 				 ./MAR/libmar.la ./Rigaku/librigaku.la ./jpg/libjpeg.la \
-								 --no-whole-archive -rpath '$(libdir)'
+libDiffractionImage_la_LDFLAGS = -shared --whole-archive $(SHARED_LIB_FLAGS)
+libDiffractionImage_la_LIBADD = $(SYSLIBS) -ltcl \
+                                libDiffImage.la \
+                                 ./Bruker/libbruker.la \
+				 				 ./MAR/libmar.la ./Rigaku/librigaku.la
 
-lib_DiffractionImage_la_DEPENDENCIES = libDiffImage.la ./CBFlib/src/libcbf.la \
+lib_DiffractionImage_la_DEPENDENCIES = libDiffImage.la \
                                        ./Bruker/libbruker.la ./MAR/libmar.la \
-                                       ./Rigaku/librigaku.la ./jpg/libjpeg.la
+                                       ./Rigaku/librigaku.la
 lib_DiffractionImage_la_SOURCES =  DiffractionImagePythonInterface.cpp
-lib_DiffractionImage_la_LDFLAGS = -shared --whole-archive libDiffImage.la \
-                                   ./CBFlib/src/libcbf.la ./Bruker/libbruker.la \
-				   			       ./MAR/libmar.la ./Rigaku/librigaku.la ./jpg/libjpeg.la \
-								   --no-whole-archive -rpath '$(libdir)'
+lib_DiffractionImage_la_LDFLAGS = -shared --whole-archive $(SHARED_LIB_FLAGS)
+lib_DiffractionImage_la_LIBADD = libDiffImage.la @PYLIB@ $(SYSLIBS) \
+                                   ./Bruker/libbruker.la \
+				   			       ./MAR/libmar.la ./Rigaku/librigaku.la
 
-libDiffractionImaJ_la_DEPENDENCIES = libDiffImage.la ./CBFlib/src/libcbf.la \
+libDiffractionImaJ_la_DEPENDENCIES = libDiffImage.la  \
                                        ./Bruker/libbruker.la ./MAR/libmar.la \
-                                       ./Rigaku/librigaku.la ./jpg/libjpeg.la
+                                       ./Rigaku/librigaku.la
 libDiffractionImaJ_la_SOURCES =  DiffractionImageJavaInterface.cpp
-libDiffractionImaJ_la_LDFLAGS = -shared --whole-archive libDiffImage.la \
-                                   ./CBFlib/src/libcbf.la ./Bruker/libbruker.la \
-				                   ./MAR/libmar.la ./Rigaku/librigaku.la ./jpg/libjpeg.la \
-								   --no-whole-archive -rpath '$(libdir)'
+libDiffractionImaJ_la_LDFLAGS = -shared --whole-archive $(SHARED_LIB_FLAGS)
+libDiffractionImaJ_la_LIBADD = libDiffImage.la \
+                                   ./Bruker/libbruker.la $(SYSLIBS) \
+				                   ./MAR/libmar.la ./Rigaku/librigaku.la
 
 bin_PROGRAMS = automask diffdump printpeaks diff2jpeg
-automask_LDADD =  libDiffImage.la ./Bruker/libbruker.la ./CBFlib/src/libcbf.la \
-                  ./MAR/libmar.la ./Rigaku/librigaku.la ./jpg/libjpeg.la
+automask_LDADD =  libDiffImage.la ./Bruker/libbruker.la \
+                  ./MAR/libmar.la ./Rigaku/librigaku.la  $(SYSLIBS)
 automask_SOURCES = automask.cpp
-diffdump_LDADD =  libDiffImage.la ./Bruker/libbruker.la ./CBFlib/src/libcbf.la \
-                  ./MAR/libmar.la ./Rigaku/librigaku.la ./jpg/libjpeg.la
+automask_LDFLAGS = $(SHARED_LIB_FLAGS)
+diffdump_LDADD =  libDiffImage.la ./Bruker/libbruker.la  $(SYSLIBS) \
+                  ./MAR/libmar.la ./Rigaku/librigaku.la
 diffdump_SOURCES = diffdump.cpp
-printpeaks_LDADD = libDiffImage.la ./Bruker/libbruker.la ./CBFlib/src/libcbf.la \
-                  ./MAR/libmar.la ./Rigaku/librigaku.la ./jpg/libjpeg.la
+diffdump_LDFLAGS = $(SHARED_LIB_FLAGS)
+printpeaks_LDADD = libDiffImage.la ./Bruker/libbruker.la \
+                  ./MAR/libmar.la ./Rigaku/librigaku.la  $(SYSLIBS)
 printpeaks_SOURCES = printpeaks.cpp
-diff2jpeg_LDADD = libDiffImage.la ./Bruker/libbruker.la ./CBFlib/src/libcbf.la \
-                  ./MAR/libmar.la ./Rigaku/librigaku.la ./jpg/libjpeg.la
+printpeaks_LDFLAGS = $(SHARED_LIB_FLAGS)
+diff2jpeg_LDADD = libDiffImage.la ./Bruker/libbruker.la \
+                  ./MAR/libmar.la ./Rigaku/librigaku.la  $(SYSLIBS)
 diff2jpeg_SOURCES = diff2jpeg.cpp
+diff2jpeg_LDFLAGS = $(SHARED_LIB_FLAGS)
 
 install-data-local: 
 			@INSTALL_DATA@ doc/DiffractionImage.doc ${CDOC}
diff --git a/lib/DiffractionImage/configure b/lib/DiffractionImage/configure
index 3fb5784..fdf9683 100755
--- a/lib/DiffractionImage/configure
+++ b/lib/DiffractionImage/configure
@@ -21768,7 +21768,7 @@ _ACEOF
 fi
 
 
-ac_config_files="$ac_config_files Makefile CBFlib/Makefile CBFlib/src/Makefile MAR/Makefile Rigaku/Makefile Bruker/Makefile jpg/Makefile"
+ac_config_files="$ac_config_files Makefile MAR/Makefile Rigaku/Makefile Bruker/Makefile "
 
 
 cat >confcache <<\_ACEOF
@@ -22407,12 +22407,9 @@ do
   case $ac_config_target in
     "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
-    "CBFlib/Makefile") CONFIG_FILES="$CONFIG_FILES CBFlib/Makefile" ;;
-    "CBFlib/src/Makefile") CONFIG_FILES="$CONFIG_FILES CBFlib/src/Makefile" ;;
     "MAR/Makefile") CONFIG_FILES="$CONFIG_FILES MAR/Makefile" ;;
     "Rigaku/Makefile") CONFIG_FILES="$CONFIG_FILES Rigaku/Makefile" ;;
     "Bruker/Makefile") CONFIG_FILES="$CONFIG_FILES Bruker/Makefile" ;;
-    "jpg/Makefile") CONFIG_FILES="$CONFIG_FILES jpg/Makefile" ;;
 
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
diff --git a/lib/DiffractionImage/configure.in b/lib/DiffractionImage/configure.in
index 7f54b4b..16efc64 100755
--- a/lib/DiffractionImage/configure.in
+++ b/lib/DiffractionImage/configure.in
@@ -21,6 +21,8 @@ if test -n "${PYTHON}" ; then
       HAVE_PYTHON=1
       CPPFLAGS="${CPPFLAGS} -I${PYTHON_PREFIX}/include/python${PYTHON_VER}"
     ])
+  PYLIB="-lpython${PYTHON_VER}"
+  AC_SUBST(PYLIB)
 fi
 AC_CHECK_HEADER([tcl.h], [HAVE_TCL=1])
 
@@ -65,11 +67,8 @@ AM_CONDITIONAL([WANT_JAVA], test z${HAVE_JAVA} != z)
 AC_CHECK_LIB([m], [sqrt])
 
 AC_CONFIG_FILES([Makefile
-                 CBFlib/Makefile
-                 CBFlib/src/Makefile
                  MAR/Makefile
 		 Rigaku/Makefile
-		 Bruker/Makefile
-		 jpg/Makefile])
+		 Bruker/Makefile])
                  
 AC_OUTPUT
diff --git a/lib/src/Makefile.in b/lib/src/Makefile.in
index c23f488..9579b3b 100755
--- a/lib/src/Makefile.in
+++ b/lib/src/Makefile.in
@@ -659,7 +659,7 @@ csymlib.o:        $(srcdir)/csymlib.c $(srcdir)/csymlib.h
 csymlib_f.o:      $(srcdir)/csymlib_f.c $(srcdir)/csymlib.h
 ccp4_unitcell.o:  $(srcdir)/ccp4_unitcell.c $(srcdir)/ccp4_unitcell.h
 ccp4_unitcell_f.o:  $(srcdir)/ccp4_unitcell_f.c $(srcdir)/ccp4_unitcell.h
-hybrid_36_f.o:    $(srcdir)/hybrid_36_f.c $(mmdbsrcdir)/hybrid_36.h
+hybrid_36_f.o:    $(srcdir)/hybrid_36_f.c
 cvecmat.o:        $(srcdir)/cvecmat.c $(srcdir)/cvecmat.h
 cmtzlib_python_wrap.o: $(srcdir)/cmtzlib_python_wrap.c  $(srcdir)/mtzdata.h 
 cmaplib_python_wrap.o: $(srcdir)/cmaplib_python_wrap.c 
diff --git a/lib/ssm/Makefile.am b/lib/ssm/Makefile.am
index e9554e1..a3ba33d 100755
--- a/lib/ssm/Makefile.am
+++ b/lib/ssm/Makefile.am
@@ -1,7 +1,11 @@
+ACLOCAL_AMFLAGS = -I macros
 #libtool
 lib_LTLIBRARIES = libssm.la
+libssm_la_LDFLAGS = -shared $(SHARED_LIB_FLAGS)
+libssm_la_CFLAGS = @MMDB_CFLAGS@
 libssm_la_SOURCES = ssm_superpose.cpp ss_csia.cpp ss_vxedge.cpp \
 ssm_align.cpp ss_graph.cpp
+libssm_la_LIBADD = @MMDB_LIBS@
 
 #non libtool
 #lib_LIBRARIES = libssm.a
@@ -16,12 +20,10 @@ superpose_SOURCES = superpose.cpp
 
 bin_PROGRAMS = superpose
 
-INCLUDES = $(MMDB_CXXFLAGS)
-
-AM_LDFLAGS = $(MMDB_LIBS)
+INCLUDES = @MMDB_CFLAGS@
 
 EXTRA_DIST = macros/mmdb.m4
 
-superpose_LDADD = libssm.la
+superpose_LDADD = libssm.la @MMDB_LIBS@
 
 libssm_a_AR = $(AR) $(AR_FLAGS)
diff --git a/lib/ssm/configure.ac b/lib/ssm/configure.ac
index 783cb46..d637d11 100755
--- a/lib/ssm/configure.ac
+++ b/lib/ssm/configure.ac
@@ -28,31 +28,10 @@ AC_ARG_ENABLE(debug,
   [ac_cv_enable_debug=no ] )
 
 dnl Optional: Check for MMDB.
-AM_PATH_MMDB(,
-  [ if test "x$mmdb_prefix" != x ; then
-      if test "x$ac_MMDB_CXXFLAGS" != x ; then 
-        case "$ac_MMDB_CXXFLAGS" in
-        *src/mmdb )
-        ac_MMDB_LDOPTS=`echo "$ac_MMDB_CXXFLAGS" | sed s#src/mmdb#src#g`
-        ;;
-        *include/mmdb )
-        ac_MMDB_LDOPTS=`echo "$ac_MMDB_CXXFLAGS" | sed s#include/mmdb#lib#g`
-        ;;
-        *)
-        esac
-	MMDB_CXXFLAGS="$ac_MMDB_CXXFLAGS"
-        MMDB_LIBS=`echo "$ac_MMDB_LDOPTS -lmmdb" | sed s#-I#-L#`
-        AC_MSG_WARN([assuming library $MMDB_LIBS headers $MMDB_CXXFLAGS])
-      else
-        MMDB_CXXFLAGS="-I$mmdb_prefix/lib/src/mmdb -I$mmdb_prefix/include/mmdb"
-        MMDB_LIBS="-L$mmdb_prefix/lib/src -L$mmdb_prefix/lib -lmmdb"
-        AC_MSG_WARN([assuming library $MMDB_LIBS headers $MMDB_CXXFLAGS])
-      fi
-    else
-     AC_MSG_WARN([mmdb not found])
-    fi
-  ]
-)
+
+PKG_CHECK_MODULES([MMDB],[mmdb])
+AC_SUBST([MMDB_CFLAGS])
+AC_SUBST([MMDB_LIBS])
 
 # Checks for typedefs, structures, and compiler characteristics.
 #
@@ -67,6 +46,7 @@ AC_CHECK_FUNCS([floor pow rint sqrt])
 # test for function in m
 AC_CHECK_LIB([m], [sqrt]) 
 
+
 AC_SUBST(AR_FLAGS)
 AC_SUBST(superpose_LDFLAGS)
 AM_CONDITIONAL(DEBUG, test "$ac_cv_enable_debug" = yes)
diff --git a/src/pisa/Makefile.am b/src/pisa/Makefile.am
index 094fd6b..922a131 100755
--- a/src/pisa/Makefile.am
+++ b/src/pisa/Makefile.am
@@ -1,3 +1,4 @@
+ACLOCAL_AMFLAGS = -I macros
 SUBDIRS = molref pisastore sbase
 
 pkgdatadir = $(datadir)/pisa
@@ -20,8 +21,8 @@ pisa.cpp                pisa_lists.cpp          seq_superpose.cpp
 
 bin_PROGRAMS = pisa
 
-INCLUDES = $(MMDB_CXXFLAGS) $(SSM_CXXFLAGS)
+INCLUDES = @MMDB_CFLAGS@ $(SSM_CXXFLAGS)
 
-pisa_LDADD = $(SSM_LIBS) $(MMDB_LIBS)
+pisa_LDADD = $(SSM_LIBS) @MMDB_LIBS@
 
 EXTRA_DIST = macros/mmdb.m4 macros/ssm.m4 pisa.cfg.in
diff --git a/src/pisa/configure.ac b/src/pisa/configure.ac
index 81afdda..4f99df6 100755
--- a/src/pisa/configure.ac
+++ b/src/pisa/configure.ac
@@ -32,35 +32,13 @@ AC_CHECK_FUNCS([floor pow rint sqrt])
 AC_CHECK_LIB([m], [sqrt])
 
 dnl Optional: Check for MMDB.
-AM_PATH_MMDB(,
-  [ if test "x$mmdb_prefix" != x ; then
-      if test "x$ac_MMDB_CXXFLAGS" != x && test "x$ac_MMDB_LDOPTS" = x ; then 
-        case "$ac_MMDB_CXXFLAGS" in
-        *src/mmdb )
-        ac_MMDB_LDOPTS=`echo "$ac_MMDB_CXXFLAGS" | sed s#src/mmdb#src#g`
-        ;;
-        *include/mmdb )
-        ac_MMDB_LDOPTS=`echo "$ac_MMDB_CXXFLAGS" | sed s#include/mmdb#lib#g`
-        ;;
-        *)
-        esac
-	MMDB_CXXFLAGS="$ac_MMDB_CXXFLAGS"
-        MMDB_LIBS=`echo "$ac_MMDB_LDOPTS -lmmdb" | sed s#-I#-L#`
-        AC_MSG_WARN([assuming library $MMDB_LIBS headers $MMDB_CXXFLAGS])
-      else
-        MMDB_CXXFLAGS="-I$mmdb_prefix/src -I$mmdb_prefix/src/mmdb -I$mmdb_prefix/include -I$mmdb_prefix/include/mmdb"
-        MMDB_LIBS="-L$mmdb_prefix/src -L$mmdb_prefix/lib -lmmdb"
-        AC_MSG_WARN([assuming library $MMDB_LIBS headers $MMDB_CXXFLAGS])
-      fi
-    else
-     AC_MSG_ERROR([mmdb not found])
-    fi
-  ]
-)
+PKG_CHECK_MODULES([MMDB],[mmdb])
+AC_SUBST([MMDB_CFLAGS])
+AC_SUBST([MMDB_LIBS])
 
 ac_saved_CXXFLAGS=$CXXFLAGS
 ac_saved_LIBS=$LIBS
-CXXFLAGS="$CXXFLAGS $MMDB_CXXFLAGS"
+CXXFLAGS="$CXXFLAGS $MMDB_CFLAGS"
 LIBS="$MMDB_LIBS $LIBS"
 AM_PATH_SSM(,
   [ if test "x$ssm_prefix" != x ; then
diff --git a/src/rapper/Makefile.am b/src/rapper/Makefile.am
index e78b10d..486b931 100755
--- a/src/rapper/Makefile.am
+++ b/src/rapper/Makefile.am
@@ -1,3 +1,3 @@
-SUBDIRS = libxml2 gc7.0 LOOP data
+SUBDIRS = LOOP data
 
 EXTRA_DIST =
diff --git a/src/rapper/configure.ac b/src/rapper/configure.ac
index 5e4ef69..11b63ec 100755
--- a/src/rapper/configure.ac
+++ b/src/rapper/configure.ac
@@ -48,6 +48,6 @@ AM_CONDITIONAL(AMDEP, test "x$enable_dependency_tracking" != xno)
 
 AC_SUBST(rapper_LDFLAGS)
 
-AC_CONFIG_SUBDIRS([gc7.0 libxml2])
+#AC_CONFIG_SUBDIRS([gc7.0 libxml2])
 #AC_OUTPUT(Makefile LOOP/Makefile LOOP/python/Makefile data/Makefile)
 AC_OUTPUT(Makefile LOOP/Makefile data/Makefile)
